      subroutine spchlp (ipr,icomp)                                     SPCH001
c ----------------------------------------------------------------------SPCH002
c     interactive header - LPREP and INSHELL                            SPCH003
c ----------------------------------------------------------------------SPCH004
c     This program module is part of the PhysiSoft X-ray Library        SPCH005
c     and may not be sold or reproduced for commercial purposes.        SPCH006
c     Although it has been tested carefully, there is no warranty       SPCH007
c     regarding accuracy or freedom from side-effects.                  SPCH008
c                   (C) 1986-1990 Bernhard Rupp                         SPCH009
c ----------------------------------------------------------------------SPCH010
      character lv,icomp*4                                              SPCH011
      if (icomp.eq.'IBM ') then                                         SPCH012
         lv=char(179)                                                   SPCH013
      else                                                              SPCH014
         lv='|'                                                         SPCH015
      end if                                                            SPCH016
                                                                        SPCH017
      call frames (ipr,1,icomp)                                         SPCH018
      write(ipr,'(1x,a1,18x,a,18x,a1)')                                 SPCH019
     & lv,' Hermann Mauguin Symbol for Space Group  ',lv                SPCH020
      call frames (ipr,2,icomp)                                         SPCH021
      write(ipr,'(1x,a1,1x,a,a,4x,a1)')lv,'The rules for the imput of ',SPCH022
     & 'a Hermann Mauguin space group symbol are :   ',lv               SPCH023
      write(ipr,'(1x,a1,1x,a,a,4x,a1)')lv,'1. First letter is the Brav',SPCH024
     & 'ais symbol describing translational symmetry ',lv               SPCH025
      write(ipr,'(1x,a1,1x,a,a,4x,a1)')lv,'   of the unit cell (P,A,B,',SPCH026
     & 'C,R,I,F) followed by a blank (space)         ',lv               SPCH027
      write(ipr,'(1x,a1,1x,a,a,4x,a1)')lv,'2. The point group symbols ',SPCH028
     & 'generating the equipoints in the unit cell   ',lv               SPCH029
      write(ipr,'(1x,a1,1x,a,a,1x,a1)')lv,'   follow. They are all sep',SPCH030
     & 'arated by a blank - except if a slash combines  ',lv            SPCH031
      write(ipr,'(1x,a1,1x,a,a,4x,a1)')lv,'   them (denoting that the ',SPCH032
     & 'following symmetry plane is parallel to the  ',lv               SPCH033
      write(ipr,'(1x,a1,1x,a,a,4x,a1)')lv,'   preceeding symmetry axis',SPCH034
     & '). Example : I 4/m m m  (not case sensitive) ',lv               SPCH035
      write(ipr,'(1x,a1,1x,a,a,4x,a1)')lv,'3. A screw axis (usually de',SPCH036
     & 'noted by a subscript following the axis) is  ',lv               SPCH037
      write(ipr,'(1x,a1,1x,a,a,4x,a1)')lv,'   entered as two normal nu',SPCH038
     & 'mbers. Example : P 63/M M C,  P 21 21 21     ',lv               SPCH039
      write(ipr,'(1x,a1,1x,a,a,4x,a1)')lv,'4. An inversion (shown by t',SPCH040
     & 'he bar above the axis) is entered as a minus ',lv               SPCH041
      write(ipr,'(1x,a1,1x,a,a,4x,a1)')lv,'   sign. Example : R -3 C .',SPCH042
     & 'The exception is the triade in the cubic sys-',lv               SPCH043
      write(ipr,'(1x,a1,1x,a,a,4x,a1)')lv,'   tems, which is always an',SPCH044
     & ' inversion : F d 3 m  is ok, not F d -3 m    ',lv               SPCH045
      call frames (ipr,3,icomp)                                         SPCH046
      return                                                            SPCH047
      end                                                               SPCH048
